<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ruoyi.web.base.mapper.ProductionWhiteStripPreCoolingMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.ruoyi.web.base.domain.ProductionWhiteStripPreCooling">
        <id column="id" property="id" />
        <result column="production_record_number" property="productionRecordNumber" />
        <result column="production_type" property="productionType" />
        <result column="production_workshop" property="productionWorkshop" />
        <result column="raw_material_input_date" property="rawMaterialInputDate" />
        <result column="pig_batch" property="pigBatch" />
        <result column="quality_inspection_result" property="qualityInspectionResult" />
        <result column="production_date" property="productionDate" />
        <result column="production_plan_number" property="productionPlanNumber" />
        <result column="procurement_variety" property="procurementVariety" />
        <result column="variety" property="variety" />
        <result column="grade" property="grade" />
        <result column="coat_color" property="coatColor" />
        <result column="animal_identification" property="animalIdentification" />
        <result column="processing_type" property="processingType" />
        <result column="processing_technology" property="processingTechnology" />
        <result column="white_strip_number" property="whiteStripNumber" />
        <result column="current_weight_kg" property="currentWeightKg" />
        <result column="animal_mark" property="animalMark" />
        <result column="secondary_weight" property="secondaryWeight" />
        <result column="tertiary_weight" property="tertiaryWeight" />
        <result column="hook_weight" property="hookWeight" />
        <result column="processing_deduction" property="processingDeduction" />
        <result column="procurement_deduction" property="procurementDeduction" />
        <result column="final_quality_inspection_result" property="finalQualityInspectionResult" />
        <result column="procurement_material_name" property="procurementMaterialName" />
        <result column="procurement_variety_detail" property="procurementVarietyDetail" />
        <result column="procurement_grade" property="procurementGrade" />
        <result column="pre_deduction_weight" property="preDeductionWeight" />
        <result column="deduction_ratio" property="deductionRatio" />
        <result column="remark" property="remark" />
        <result column="del_flag" property="delFlag" />
        <result column="create_by" property="createBy" />
        <result column="create_time" property="createTime" />
        <result column="update_by" property="updateBy" />
        <result column="update_time" property="updateTime" />
        <result column="org_id" property="orgId" />
    </resultMap>

</mapper>
